Bug Hunting Session
Bug 110357 - Impress table looses selection when click on Increase \ decrease font button
Summary: Impress table looses selection when click on Increase \ decrease font button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0 target:5.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-29 18:00 UTC by Tamás Zolnai
Modified: 2018-02-21 09:07 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-07-29 18:00:25 UTC
Description:
If I select some cells of an Impress table and then push the increase / decrease font button on sidebar the selection is removed from the cells and the whole table become the selected object.

Steps to Reproduce:
1. Open Impress
2. Create a table
3. Select some cells of the table
4. Push increase\decrease font button on sidebar
5. Watch the selection

Actual Results:  
Selection is changed unexpectedly to the whole table.

Expected Results:
Selection should not change and when pushing the button more time only the selected cells should change their font height.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36
Comment 1 jebsolutions 2017-08-05 06:12:35 UTC
I can confirm the problem.  

Problem exists in Libreoffice 5.3.4.2 on Lubuntu 16.04.3.

I think this bug has been around for a while.  It also exists in Libreoffice 4.4.2.2 on Windows 10.
Comment 2 Commit Notification 2017-10-29 08:37:37 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d872ecc51e47e02e70732c848964274b2aad29e

tdf#110357: Impress table looses selection when clicking on ...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-02-21 09:07:19 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8a34468f9988ef7633a7b63f825cc484b5dc60f&h=libreoffice-5-4

tdf#110357: Impress table looses selection when clicking on ...

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.